# $Revision: 1.81 $, $Date: 2008/08/24 06:56:35 $
Summary:	Norman Walsh's modular stylesheets for DocBook
Summary(pl.UTF-8):	Arkusze stylistyczne XSL dla DocBook DTD
Summary(pt_BR.UTF-8):	Stylesheets modulares do Norman Walsh para DocBook
Name:		docbook-style-xsl
Version:	1.74.0
Release:	1
License:	(C) 1997, 1998 Norman Walsh (Free)
Group:		Applications/Publishing/XML
Source0:	http://dl.sourceforge.net/docbook/docbook-xsl-%{version}.tar.bz2
# Source0-md5:	a56b598decd006d5d39e4544c0bfbc6a
Source1:	http://dl.sourceforge.net/docbook/docbook-xsl-doc-%{version}.tar.bz2
# Source1-md5:	3a38cdcfadfacd75ebd1ab6c423d4fd6
URL:		http://docbook.sourceforge.net/projects/xsl/index.html
BuildRequires:	libxml2-progs
BuildRequires:	unzip
Requires(post,postun):	/usr/bin/xmlcatalog
Requires(post,postun):	/etc/xml/catalog
# workaround for rpm/poldek
Requires:	libxml2-progs
Requires:	/etc/xml/catalog
Requires:	sgml-common >= 0.5
AutoReqProv:	no
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_javalibdir	%{_datadir}/java
%define		xsl_path	%{_datadir}/sgml/docbook/xsl-stylesheets
%define		catalog		%{xsl_path}/catalog.xml

%description
Highly customizable XSL stylesheets for DocBook XML DTD. The
stylesheets allow to produce documents in XSL FO, HTML or XHTML
formats.

%description -l pl.UTF-8
Konfigurowalne arkusze stylistyczne dla DocBook XML DTD. Arkusze
stylistyczne, zawarte w tym pakiecie, umożliwiają tworzenie dokumentów
w formacie XSL FO, HTML lub XHTML.

%description -l pt_BR.UTF-8
Stylesheets modulares do Norman Walsh para DocBook.

%package xalan-extensions
Summary:	DocBook Xalan extensions
Summary(pl.UTF-8):	Rozszerzenia DocBook Xalan
Group:		Applications/Publishing/XML
Requires:	xalan-j

%description xalan-extensions
DocBook Xalan extensions.

%description xalan-extensions -l pl.UTF-8
Rozszerzenia DocBook Xalan.

%package saxon-extensions
Summary:	DocBook Saxon extensions
Summary(pl.UTF-8):	Rozszerzenia DocBook Saxon
Group:		Applications/Publishing/XML
Requires:	saxon

%description saxon-extensions
DocBook Saxon extensions.

%description saxon-extensions -l pl.UTF-8
Rozszerzenia DocBook Saxon.

%prep
%setup -q -n docbook-xsl-%{version} -b1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{xsl_path},%{_sysconfdir}/xml} \
	$RPM_BUILD_ROOT%{_javalibdir}

cp -a * $RPM_BUILD_ROOT%{xsl_path}

install extensions/*.jar $RPM_BUILD_ROOT%{_javalibdir}

%xmlcat_create $RPM_BUILD_ROOT%{catalog}

%xmlcat_add_rewrite http://docbook.sourceforge.net/release/xsl/%{version} file://%{xsl_path} $RPM_BUILD_ROOT%{catalog}
%xmlcat_add_rewrite http://docbook.sourceforge.net/release/xsl/current file://%{xsl_path} $RPM_BUILD_ROOT%{catalog}

rm -rf $RPM_BUILD_ROOT%{xsl_path}/doc \
	$RPM_BUILD_ROOT%{xsl_path}/BUGS \
	$RPM_BUILD_ROOT%{xsl_path}/ChangeLog \
	$RPM_BUILD_ROOT%{xsl_path}/README \
	$RPM_BUILD_ROOT%{xsl_path}/RELEASE-NOTES.html \
	$RPM_BUILD_ROOT%{xsl_path}/RELEASE-NOTES.xml \
	$RPM_BUILD_ROOT%{xsl_path}/TODO \
	$RPM_BUILD_ROOT%{xsl_path}/WhatsNew \
	$RPM_BUILD_ROOT%{xsl_path}/extensions

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -L %{xsl_path} ] ; then
	rm -rf %{xsl_path}
fi

%post
if ! grep -q %{catalog} /etc/xml/catalog ; then
	%xmlcat_add %{catalog}
fi

%preun
if [ "$1" = "0" ] ; then
	%xmlcat_del %{catalog}
fi

%files
%defattr(644,root,root,755)
%doc doc AUTHORS BUGS COPYING NEWS README RELEASE-NOTES.{html,txt} TODO
%{xsl_path}

%files xalan-extensions
%defattr(644,root,root,755)
%{_javalibdir}/xalan*.jar

%files saxon-extensions
%defattr(644,root,root,755)
%{_javalibdir}/saxon*.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: docbook-style-xsl.spec,v $
Revision 1.81  2008/08/24 06:56:35  qboosh
- updated to 1.74.0

Revision 1.80  2007/09/04 16:17:50  qboosh
- updated to 1.73.2

Revision 1.79  2007/08/27 16:56:32  qboosh
- updated to 1.73.0 (1.73.1 sources have Java extensions missing)

Revision 1.78  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.77  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.76  2007/01/30 23:04:05  qboosh
- updated to 1.72.0

Revision 1.75  2006/10/28 11:06:34  qboosh
- updated to 1.71.1

Revision 1.74  2006/09/13 06:34:15  qboosh
- updated to 1.71.0

Revision 1.73  2006/07/22 17:02:33  qboosh
- updated to 1.70.1

Revision 1.72  2006/05/20 09:19:31  qboosh
- updated to 1.70.0

Revision 1.71  2005/08/12 08:13:38  arekm
- up to 1.69.1

Revision 1.70  2005/07/24 20:43:37  qboosh
- updated to 1.69.0
- added comment to recently introduced post script workaround

Revision 1.69  2005/07/17 11:09:00  pluto
- log fixed.

Revision 1.68  2005/07/17 11:04:54  pluto
- fixed R:, release 2 for Th.

  docbook-style-xsl ##################################################
  /var/tmp/rpm-tmp.4068[4]: /usr/bin/xmlcatalog: not found
  error: post(docbook-style-xsl-1.68.1-1.noarch) scriptlet failed, exit status 127

Revision 1.67  2005/02/19 11:21:47  qboosh
- updated to 1.68.1

Revision 1.66  2005/02/12 14:13:51  qboosh
- updated to 1.68.0, removed obsolete fix patch

Revision 1.65  2004/12/20 23:45:17  qboosh
- added fix patch (for titles.xsl bug caught by gtk+2); release 2

Revision 1.64  2004/12/03 21:38:05  qboosh
- updated to 1.67.2

Revision 1.63  2004/11/24 22:02:44  qboosh
- updated to 1.67.0, switched to .bz2 source

Revision 1.62  2004/11/01 17:06:16  darekr
- updated to 1.66.1

Revision 1.61  2004/04/27 10:23:04  pawcioos
- fixed BR: libxml2-progs

Revision 1.60  2004/03/14 16:27:49  grzegol
- updated to 1.65.1

Revision 1.59  2004/02/29 18:37:27  grzegol
- updated to 1.65.0

Revision 1.58  2003/12/23 08:43:57  trojan
- updated to 1.64.1

Revision 1.57  2003/12/16 12:59:48  trojan
- updated to 1.64.0

Revision 1.56  2003/11/11 01:56:07  ankry
- unification

Revision 1.55  2003/09/30 07:56:45  trojan
- updated to 1.62.4

Revision 1.54  2003/09/07 20:01:23  qboosh
- 1.62.0

Revision 1.53  2003/09/05 11:46:57  qboosh
- unified Source URL

Revision 1.52  2003/08/18 08:08:01  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.51  2003/08/11 20:44:53  ankry
cosmetics

Revision 1.50  2003/07/10 07:59:46  qboosh
- pl for xalan and saxon

Revision 1.49  2003/07/10 06:34:51  pascalek
- added xalan and saxon extensions packages

Revision 1.48  2003/06/25 11:50:50  trojan
- updated to 1.61.3

Revision 1.47  2003/06/22 10:59:30  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.46  2003/05/26 09:13:36  trojan
- updated to 1.61.2

Revision 1.45  2003/05/25 05:46:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.44  2003/05/19 08:32:38  trojan
- updated to 1.61.1

Revision 1.43  2003/05/09 08:44:07  trojan
- updated to 0.61.0: lots of bugfixes and some enhancements

Revision 1.42  2003/02/28 10:07:44  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.41  2003/01/28 12:08:47  trojan
- updated to 1.60.1

Revision 1.40  2003/01/20 13:33:01  trojan
- updated to 1.59.2

Revision 1.39  2003/01/15 07:23:13  trojan
- updated to 1.58.1

Revision 1.38  2002/10/14 14:20:45  wiget
- 1.56.1

Revision 1.37  2002/10/06 14:57:21  qboosh
- add rewrite rule with "current" version too (all *.xsl use this, not 1.55.0)
- release 3

Revision 1.36  2002/09/27 13:23:21  wrobell
- more macros

Revision 1.35  2002/09/27 12:25:09  wrobell
- more macros in rpm packages

Revision 1.34  2002/09/27 08:15:21  wrobell
- remove sgml macros definitions, which are in rpm package, now
- skip java stuff installation /anybody using it? then do it as should
  it be done/
- rel. 2

Revision 1.33  2002/09/18 13:13:22  wiget
- updated to 1.55.0

Revision 1.32  2002/09/04 15:09:22  wiget
- merge xmlcatalog branch
- drop %%{version} from files location
- English es "translation" removed
- release 2

Revision 1.31  2002/09/03 16:47:51  wiget
- updated to 1.54.1
- drop %%{version} from files location (fixed location simplify some tasks)
- new %%doc

Revision 1.30  2002/08/29 12:37:55  aflinta
- updated %files

Revision 1.29  2002/04/25 16:12:57  arturs
fixed a small typo

Revision 1.28  2002/04/16 17:36:46  wrobell
- ver. 1.50.0
- minor clean up
- stb

Revision 1.27  2002/03/02 07:57:20  kloczek
- updated to 1.49.

Revision 1.26  2002/02/23 01:58:08  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:12:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2002/01/07 16:40:31  wrobell
- ver. 1.48

Revision 1.22  2001/12/01 20:38:55  kloczek
- typo.

Revision 1.21  2001/12/01 20:37:46  kloczek
- merge translations from Conectiva.

Revision 1.20  2001/11/29 21:32:57  filon
- fixed files, there is no 'test' catalog
- release 2

Revision 1.19  2001/10/06 16:10:02  kloczek
- updated to 1.45.

Revision 1.18  2001/08/20 16:50:43  wrobell
- ver. 1.44

Revision 1.17  2001/07/26 16:32:58  wiget
simplified %%{version} handling
release 3

Revision 1.16  2001/07/26 15:08:25  wrobell
- pl translations are contributed by klakier to author
- fixed file list
- rel 2, stb

Revision 1.15  2001/07/25 15:10:04  wrobell
- up to ver. 1.41

Revision 1.14  2001/06/18 14:46:19  pawelk
upgraded to version 1.40

Revision 1.12  2001/04/02 15:24:43  klakier
- added new url

Revision 1.11  2001/03/27 18:58:06  klakier
- 1.34 has broken polish localization. fixed

Revision 1.10  2001/03/27 18:01:15  wiget
1.34

Revision 1.9  2001/03/15 21:14:12  kloczek
- release 1,
- s/Copyright/License/.

Revision 1.8  2001/03/15 21:13:18  kloczek
- cosmetics.

Revision 1.7  2001/03/15 20:34:44  klakier
- ver 1.31

Revision 1.6  2001/02/18 23:14:46  klakier
- rel 5
- added files xtdocbook.xsl (docbook.xsl without automatic indexing that makes
  problem to 'xt' processor)

Revision 1.5  2001/02/18 22:03:20  klakier
- rel 4
- added *.jar files from extensions

Revision 1.4  2001/02/16 16:05:23  klakier
- forgotten fix

Revision 1.3  2001/02/16 12:57:24  klakier
- disable indexing for fo

Revision 1.2  2001/02/13 15:53:55  klakier
- added -n to ln

Revision 1.1  2001/02/12 22:50:45  klakier
- Massive changes inspired by LSB (http://www.linuxbase.org)
  and RH and MDK packages

Revision 1.3  2001/02/08 18:11:04  klakier
- ver 1.29

Revision 1.2  2000/09/30 21:10:04  klakier
- forgotten file 'VERSION' added

Revision 1.1  2000/09/30 21:03:30  klakier
- finished (untested)
